libzypp 17.37.10

zyppng::detail::make_statewithtransition_set_helper< VariantSoFar, StateVariant, Transitions > Struct Template Reference

Iterates over each State in the StateVariant argument, collects the corresponding Transitions and combines the results in a std::variant< StateWithTransitions<...>,... > type. More...

## Detailed Description

template<typename VariantSoFar, typename StateVariant, typename ... Transitions>
struct zyppng::detail::make_statewithtransition_set_helper< VariantSoFar, StateVariant, Transitions >

Iterates over each State in the StateVariant argument, collects the corresponding Transitions and combines the results in a std::variant< StateWithTransitions<...>,... > type.

Definition at line 182 of file statemachine.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/base/statemachine.h